dpkg-trigger(1)

NAME
dpkg-trigger - ein Paket-Trigger-Hilfswerkzeug

ÜBERSICHT
dpkg-trigger [Option...] Trigger-Name
dpkg-trigger [Option...] Befehl

BESCHREIBUNG
dpkg-trigger ist ein Werkzeug, um Trigger (deutsch: Auslöser) explizit zu aktivieren und den laufenden dpkg auf deren Unterstützung hin zu überprüfen.

This can be used by maintainer scripts in complex and conditional situations where the file triggers, or the declarative activate triggers control file directive, are insufficiently rich. It can also be used for testing and by system administrators (but note that the triggers won't actually be run by dpkg-trigger).

Unrecognised trigger name syntaxes are an error for dpkg-trigger.

BEFEHLE

--check-supported
    Check if the running dpkg supports triggers (usually called from a postinst). Will exit 0 if a triggers-capable dpkg has run, or 1 with an error message to stderr if not. Normally, however, it is better just to activate the desired trigger with dpkg-trigger.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

--licence, --license
    Zeigt die Kopier-Lizenzierungsbedingungen und beendet sich.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

--by-package=Paket
    Override trigger awaiter (normally set by dpkg through the DPKG_MAINTSCRIPT_PACKAGE environment variable of the maintainer scripts, naming the package to which the script belongs, and this will be used by default).

--no-await
    Diese Option arrangiert, dass das aufrufende Paket T (falls zutreffend) nicht auf die Abarbeitung des Triggers warten muss, das bzw. die interessierte(n) Paket(e) I werden nicht zu der Liste der auf Bearbeitung wartenden Trigger von T hinzugefügt und der Status von T bleibt unverändert. T kann als installiert betrachtet werden, obwohl I den Trigger noch nicht verarbeitet haben könnte.

--no-act
    Nur testen, nichts tatsächlich ändern.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1), deb-triggers(5).